summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-04-30 21:35:21 +0000
committer Eric Hameleers <alien@slackware.com>2022-05-01 06:59:45 +0200
commit9b4be22e71a5affdb921f8ab706fbd12b27c40e0 (patch)
tree657af4cce782959f24514c947f5d884c5b2bb417 /source
parent6e7367558a81e9565a69e3657c01a624dec5e892 (diff)
downloadcurrent-9b4be22e71a5affdb921f8ab706fbd12b27c40e0.tar.gz
current-9b4be22e71a5affdb921f8ab706fbd12b27c40e0.tar.xz
Sat Apr 30 21:35:21 UTC 202220220430213521
a/btrfs-progs-5.17-x86_64-1.txz: Upgraded. l/libgsf-1.14.49-x86_64-1.txz: Upgraded. l/mozilla-nss-3.78-x86_64-1.txz: Upgraded. l/oniguruma-6.9.8-x86_64-1.txz: Upgraded. l/python-alabaster-0.7.12-x86_64-1.txz: Added. l/python-babel-2.10.1-x86_64-1.txz: Added. l/python-imagesize-1.3.0-x86_64-1.txz: Added. l/python-importlib_metadata-4.11.3-x86_64-1.txz: Added. l/python-pytz-2022.1-x86_64-1.txz: Added. l/python-snowballstemmer-2.2.0-x86_64-1.txz: Added. l/python-sphinx-4.5.0-x86_64-1.txz: Added. l/python-zipp-3.8.0-x86_64-1.txz: Added. n/ModemManager-1.18.8-x86_64-1.txz: Upgraded. x/libX11-1.8-x86_64-1.txz: Upgraded. xap/pidgin-2.14.9-x86_64-1.txz: Upgraded. Mitigate the potential for a man in the middle attack via DNS spoofing by removing the code that supported the _xmppconnect DNS TXT record. For more information, see: https://www.pidgin.im/about/security/advisories/cve-2022-26491/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-26491 (* Security fix *)
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/btrfs-progs/btrfs-progs.SlackBuild4
-rwxr-xr-xsource/d/cmake/cmake.SlackBuild9
-rwxr-xr-xsource/d/cmake/extract-manpages-from-binary.sh38
-rwxr-xr-xsource/l/mozilla-nss/mozilla-nss.SlackBuild2
-rwxr-xr-xsource/l/oniguruma/oniguruma.SlackBuild8
-rw-r--r--source/l/python-alabaster/alabaster.url1
-rwxr-xr-xsource/l/python-alabaster/python-alabaster.SlackBuild82
-rw-r--r--source/l/python-alabaster/slack-desc20
-rw-r--r--source/l/python-babel/Babel.url1
-rwxr-xr-xsource/l/python-babel/python-babel.SlackBuild82
-rw-r--r--source/l/python-babel/slack-desc19
-rw-r--r--source/l/python-imagesize/imagesize.url1
-rwxr-xr-xsource/l/python-imagesize/python-imagesize.SlackBuild82
-rw-r--r--source/l/python-imagesize/slack-desc19
-rw-r--r--source/l/python-importlib_metadata/importlib_metadata.url1
-rwxr-xr-xsource/l/python-importlib_metadata/python-importlib_metadata.SlackBuild90
-rw-r--r--source/l/python-importlib_metadata/slack-desc19
-rwxr-xr-xsource/l/python-pytz/python-pytz.SlackBuild82
-rw-r--r--source/l/python-pytz/pytz.url1
-rw-r--r--source/l/python-pytz/slack-desc19
-rwxr-xr-xsource/l/python-snowballstemmer/python-snowballstemmer.SlackBuild82
-rw-r--r--source/l/python-snowballstemmer/slack-desc19
-rw-r--r--source/l/python-snowballstemmer/snowballstemmer.url1
-rw-r--r--source/l/python-sphinx/Sphinx.url7
-rwxr-xr-xsource/l/python-sphinx/python-sphinx.SlackBuild116
-rw-r--r--source/l/python-sphinx/slack-desc20
-rwxr-xr-xsource/l/python-zipp/python-zipp.SlackBuild93
-rw-r--r--source/l/python-zipp/slack-desc19
-rw-r--r--source/l/python-zipp/zipp.url1
29 files changed, 886 insertions, 52 deletions
diff --git a/source/a/btrfs-progs/btrfs-progs.SlackBuild b/source/a/btrfs-progs/btrfs-progs.SlackBuild
index 7764ad227..dcb9bdc94 100755
--- a/source/a/btrfs-progs/btrfs-progs.SlackBuild
+++ b/source/a/btrfs-progs/btrfs-progs.SlackBuild
@@ -83,9 +83,9 @@ rm -rf $PKG
mkdir -p $PKG
cd $TMP
-rm -rf btrfs-progs btrfs-progs-$VERSION
+rm -rf btrfs-progs-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-cd btrfs-progs-$VERSION || cd btrfs-progs || exit 1
+cd btrfs-progs-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
diff --git a/source/d/cmake/cmake.SlackBuild b/source/d/cmake/cmake.SlackBuild
index 7b8c62ab9..6392d312c 100755
--- a/source/d/cmake/cmake.SlackBuild
+++ b/source/d/cmake/cmake.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2017, 2018, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -86,20 +86,15 @@ CXXFLAGS="$SLKCFLAGS" \
--system-curl \
--system-expat \
--no-system-jsoncpp \
+ --sphinx-man \
--system-zlib \
--system-bzip2 \
--system-libarchive || exit 1
# --system-libs \
-# --sphinx-man \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Install preprocessed man pages instead of adding six new python packages:
-( cd $PKG
- tar xf $CWD/cmake.manpages.tar.?z
-)
-
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
if [ -r ../ChangeLog.txt ]; then
diff --git a/source/d/cmake/extract-manpages-from-binary.sh b/source/d/cmake/extract-manpages-from-binary.sh
deleted file mode 100755
index 24f2145eb..000000000
--- a/source/d/cmake/extract-manpages-from-binary.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/bin/sh
-
-# Copyright 2017, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# This is a script to extract the manpages from cmake-*-Linux-x86_64.tar.gz
-# and output them as cmake.manpages.tar.xz in the current directory.
-
-rm -rf tmp-manpages
-mkdir tmp-manpages
-tar xf cmake-*-?inux-x86_64.tar.?z
-mv cmake-*-?inux-x86_64/man tmp-manpages
-rm -r cmake-*-?inux-x86_64
-mkdir tmp-manpages/usr
-mv tmp-manpages/man tmp-manpages/usr
-chown -R root:root tmp-manpages
-cd tmp-manpages
-tar cf ../cmake.manpages.tar .
-cd ..
-lzip -9 -f cmake.manpages.tar
-rm -r tmp-manpages
diff --git a/source/l/mozilla-nss/mozilla-nss.SlackBuild b/source/l/mozilla-nss/mozilla-nss.SlackBuild
index 595ca450d..d999f60de 100755
--- a/source/l/mozilla-nss/mozilla-nss.SlackBuild
+++ b/source/l/mozilla-nss/mozilla-nss.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mozilla-nss
SRCNAM=nss
-VERSION=${VERSION:-3.77}
+VERSION=${VERSION:-3.78}
NSPR=${NSPR:-4.32}
BUILD=${BUILD:-1}
diff --git a/source/l/oniguruma/oniguruma.SlackBuild b/source/l/oniguruma/oniguruma.SlackBuild
index cc9e19978..32cd2432f 100755
--- a/source/l/oniguruma/oniguruma.SlackBuild
+++ b/source/l/oniguruma/oniguruma.SlackBuild
@@ -119,12 +119,12 @@ cp -a \
doc \
$PKG/usr/doc/${PKGNAM}-$VERSION
-# If there's a ChangeLog, installing at least part of the recent history
+# If there's a HISTORY file, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
+if [ -r HISTORY ]; then
DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
- cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
- touch -r ChangeLog $DOCSDIR/ChangeLog
+ cat HISTORY | head -n 1000 > $DOCSDIR/HISTORY
+ touch -r HISTORY $DOCSDIR/HISTORY
fi
mkdir -p $PKG/install
diff --git a/source/l/python-alabaster/alabaster.url b/source/l/python-alabaster/alabaster.url
new file mode 100644
index 000000000..4c63b2d71
--- /dev/null
+++ b/source/l/python-alabaster/alabaster.url
@@ -0,0 +1 @@
+https://pypi.org/project/alabaster
diff --git a/source/l/python-alabaster/python-alabaster.SlackBuild b/source/l/python-alabaster/python-alabaster.SlackBuild
new file mode 100755
index 000000000..009d91158
--- /dev/null
+++ b/source/l/python-alabaster/python-alabaster.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-alabaster
+SRCNAM=alabaster
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-alabaster/slack-desc b/source/l/python-alabaster/slack-desc
new file mode 100644
index 000000000..4aefe17cd
--- /dev/null
+++ b/source/l/python-alabaster/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-alabaster: python-alabaster (Python Sphinx theme)
+python-alabaster:
+python-alabaster: Alabaster is a visually (c)lean, responsive, configurable theme for
+python-alabaster: the Sphinx documentation system. It is Python 2+3 compatible. It began
+python-alabaster: as a third-party theme, and is still maintained separately, but is now
+python-alabaster: an install-time dependency of Sphinx and is selected as the default
+python-alabaster: theme.
+python-alabaster:
+python-alabaster: Homepage: http://alabaster.readthedocs.io
+python-alabaster:
+python-alabaster:
+
diff --git a/source/l/python-babel/Babel.url b/source/l/python-babel/Babel.url
new file mode 100644
index 000000000..a0bee683f
--- /dev/null
+++ b/source/l/python-babel/Babel.url
@@ -0,0 +1 @@
+https://pypi.org/project/babel
diff --git a/source/l/python-babel/python-babel.SlackBuild b/source/l/python-babel/python-babel.SlackBuild
new file mode 100755
index 000000000..d5cf19859
--- /dev/null
+++ b/source/l/python-babel/python-babel.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-babel
+SRCNAM=Babel
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-babel/slack-desc b/source/l/python-babel/slack-desc
new file mode 100644
index 000000000..640d321f0
--- /dev/null
+++ b/source/l/python-babel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-babel: python-babel (Python internationalization library)
+python-babel:
+python-babel: Babel is a Python library that provides an integrated collection of
+python-babel: utilities that assist with internationalizing and localizing Python
+python-babel: applications (in particular web-based applications.)
+python-babel:
+python-babel: Homepage: http://babel.pocoo.org/
+python-babel:
+python-babel:
+python-babel:
+python-babel:
diff --git a/source/l/python-imagesize/imagesize.url b/source/l/python-imagesize/imagesize.url
new file mode 100644
index 000000000..eefda796a
--- /dev/null
+++ b/source/l/python-imagesize/imagesize.url
@@ -0,0 +1 @@
+https://pypi.org/project/imagesize
diff --git a/source/l/python-imagesize/python-imagesize.SlackBuild b/source/l/python-imagesize/python-imagesize.SlackBuild
new file mode 100755
index 000000000..9bf537cff
--- /dev/null
+++ b/source/l/python-imagesize/python-imagesize.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-imagesize
+SRCNAM=imagesize
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-imagesize/slack-desc b/source/l/python-imagesize/slack-desc
new file mode 100644
index 000000000..8671e3ca8
--- /dev/null
+++ b/source/l/python-imagesize/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-imagesize: python-imagesize (Python image size module)
+python-imagesize:
+python-imagesize: This module analyzes JPEG/JPEG 2000/PNG/GIF/TIFF/SVG/Netpbm image
+python-imagesize: headers and returns image size or DIP. It only parses headers and
+python-imagesize: ignores pixel data, so it is much faster than Pillow.
+python-imagesize:
+python-imagesize: Homepage: https://github.com/shibukawa/imagesize_py
+python-imagesize:
+python-imagesize:
+python-imagesize:
+python-imagesize:
diff --git a/source/l/python-importlib_metadata/importlib_metadata.url b/source/l/python-importlib_metadata/importlib_metadata.url
new file mode 100644
index 000000000..abfed2a82
--- /dev/null
+++ b/source/l/python-importlib_metadata/importlib_metadata.url
@@ -0,0 +1 @@
+https://pypi.org/project/importlib-metadata
diff --git a/source/l/python-importlib_metadata/python-importlib_metadata.SlackBuild b/source/l/python-importlib_metadata/python-importlib_metadata.SlackBuild
new file mode 100755
index 000000000..5c0896b3a
--- /dev/null
+++ b/source/l/python-importlib_metadata/python-importlib_metadata.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-importlib_metadata
+SRCNAM=importlib_metadata
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+# Use this setup.py shim:
+cat << EOF > setup.py
+from setuptools import setup
+setup(name="${SRCNAM}", version="${VERSION}", packages=["${SRCNAM}"], package_data={"": ["*"]})
+EOF
+
+# With the shim, it's a good idea to use "unshare -n" to prevent downloading
+# anything extra:
+unshare -n python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-importlib_metadata/slack-desc b/source/l/python-importlib_metadata/slack-desc
new file mode 100644
index 000000000..5bfae20bb
--- /dev/null
+++ b/source/l/python-importlib_metadata/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-importlib_metadata: python-importlib_metadata (access Python package metadata)
+python-importlib_metadata:
+python-importlib_metadata: Library to access the metadata for a Python package, supplying third-
+python-importlib_metadata: party access to the functionality of importlib.metadata including
+python-importlib_metadata: improvements added to subsequent Python versions.
+python-importlib_metadata:
+python-importlib_metadata: Homepage: https://github.com/python/importlib_metadata
+python-importlib_metadata:
+python-importlib_metadata:
+python-importlib_metadata:
+python-importlib_metadata:
diff --git a/source/l/python-pytz/python-pytz.SlackBuild b/source/l/python-pytz/python-pytz.SlackBuild
new file mode 100755
index 000000000..0dc07f739
--- /dev/null
+++ b/source/l/python-pytz/python-pytz.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-pytz
+SRCNAM=pytz
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-pytz/pytz.url b/source/l/python-pytz/pytz.url
new file mode 100644
index 000000000..efd8c533c
--- /dev/null
+++ b/source/l/python-pytz/pytz.url
@@ -0,0 +1 @@
+https://pypi.org/project/pytz
diff --git a/source/l/python-pytz/slack-desc b/source/l/python-pytz/slack-desc
new file mode 100644
index 000000000..919badd83
--- /dev/null
+++ b/source/l/python-pytz/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-pytz: python-pytz (Timezone Definitions for Python)
+python-pytz:
+python-pytz: pytz brings the Olson tz database into Python. This library allows
+python-pytz: accurate and cross platform timezone calculations. It also solves the
+python-pytz: issue of ambiguous times at the end of daylight saving time.
+python-pytz:
+python-pytz: Homepage: http://pythonhosted.org/pytz
+python-pytz:
+python-pytz:
+python-pytz:
+python-pytz:
diff --git a/source/l/python-snowballstemmer/python-snowballstemmer.SlackBuild b/source/l/python-snowballstemmer/python-snowballstemmer.SlackBuild
new file mode 100755
index 000000000..76c38de01
--- /dev/null
+++ b/source/l/python-snowballstemmer/python-snowballstemmer.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-snowballstemmer
+SRCNAM=snowballstemmer
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-snowballstemmer/slack-desc b/source/l/python-snowballstemmer/slack-desc
new file mode 100644
index 000000000..630d4e83a
--- /dev/null
+++ b/source/l/python-snowballstemmer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-snowballstemmer: python-snowballstemmer (Snowball stemming library)
+python-snowballstemmer:
+python-snowballstemmer: Stemming maps different forms of the same word to a common "stem" -
+python-snowballstemmer: for example, the English stemmer maps *connection*, *connections*,
+python-snowballstemmer: *connective*, *connected*, and *connecting* to *connect*. So a search
+python-snowballstemmer: for *connected* would also find documents which only have the other
+python-snowballstemmer: forms.
+python-snowballstemmer:
+python-snowballstemmer: Homepage: https://github.com/snowballstem/snowball
+python-snowballstemmer:
+python-snowballstemmer:
diff --git a/source/l/python-snowballstemmer/snowballstemmer.url b/source/l/python-snowballstemmer/snowballstemmer.url
new file mode 100644
index 000000000..1e830218d
--- /dev/null
+++ b/source/l/python-snowballstemmer/snowballstemmer.url
@@ -0,0 +1 @@
+https://pypi.org/project/snowballstemmer
diff --git a/source/l/python-sphinx/Sphinx.url b/source/l/python-sphinx/Sphinx.url
new file mode 100644
index 000000000..c90a21abc
--- /dev/null
+++ b/source/l/python-sphinx/Sphinx.url
@@ -0,0 +1,7 @@
+https://pypi.org/project/sphinx
+https://pypi.org/project/sphinxcontrib-applehelp
+https://pypi.org/project/sphinxcontrib-devhelp
+https://pypi.org/project/sphinxcontrib-htmlhelp
+https://pypi.org/project/sphinxcontrib-jsmath
+https://pypi.org/project/sphinxcontrib-qthelp
+https://pypi.org/project/sphinxcontrib-serializinghtml
diff --git a/source/l/python-sphinx/python-sphinx.SlackBuild b/source/l/python-sphinx/python-sphinx.SlackBuild
new file mode 100755
index 000000000..5d6286e1a
--- /dev/null
+++ b/source/l/python-sphinx/python-sphinx.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/bash
+
+# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-sphinx
+SRCNAM=Sphinx
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+# Install extensions (we don't need them all in separate packages):
+
+for extension in $CWD/extensions/*.tar.?z ; do
+ EXTNAM=$(basename $(echo $extension) | rev | cut -f 2- -d - | rev)
+ EXTVER=$(basename $(echo $extension) | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
+ cd $TMP
+ rm -rf ${EXTNAM}-${EXTVER}
+ tar xf $extension
+ cd ${EXTNAM}-${EXTVER} || exit 1
+
+ chown -R root:root .
+ find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+ python3 setup.py install --root=$PKG || exit 1
+
+ mkdir -p $PKG/usr/doc/$EXTNAM-$EXTVER
+ cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$EXTNAM-$EXTVER
+ find $PKG/usr/doc/$EXTNAM-$EXTVER -type f -exec chmod 0644 {} \+
+
+ # If there's a HISTORY.rst, installing at least part of the recent history
+ # is useful, but don't let it get totally out of control:
+ if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${EXTNAM}-$EXTVER)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+ fi
+
+done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-sphinx/slack-desc b/source/l/python-sphinx/slack-desc
new file mode 100644
index 000000000..c2bb5c9c0
--- /dev/null
+++ b/source/l/python-sphinx/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-sphinx: python-sphinx (Python documentation generator)
+python-sphinx:
+python-sphinx: Sphinx is a tool that makes it easy to create intelligent and
+python-sphinx: beautiful documentation for Python projects (or other documents
+python-sphinx: consisting of multiple reStructuredText sources), written by Georg
+python-sphinx: Brandl. It was originally created for the new Python documentation,
+python-sphinx: and has excellent facilities for Python project documentation, but
+python-sphinx: C/C++ is supported as well, and more languages are planned.
+python-sphinx:
+python-sphinx: Homepage: http://www.sphinx-doc.org/
+python-sphinx:
+
diff --git a/source/l/python-zipp/python-zipp.SlackBuild b/source/l/python-zipp/python-zipp.SlackBuild
new file mode 100755
index 000000000..3e691d88a
--- /dev/null
+++ b/source/l/python-zipp/python-zipp.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Copyright 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-zipp
+SRCNAM=zipp
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+# Not sure why this is needed?
+mkdir zipp
+
+# Use this setup.py shim:
+cat << EOF > setup.py
+from setuptools import setup
+setup(name="${SRCNAM}", version="${VERSION}", packages=["${SRCNAM}"], package_data={"": ["*"]})
+EOF
+
+# With the shim, it's a good idea to use "unshare -n" to prevent downloading
+# anything extra:
+unshare -n python3 setup.py install --root=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.rst LICENSE* NOTICE PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+# If there's a HISTORY.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.rst | head -n 1000 > $DOCSDIR/HISTORY.rst
+ touch -r HISTORY.rst $DOCSDIR/HISTORY.rst
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-zipp/slack-desc b/source/l/python-zipp/slack-desc
new file mode 100644
index 000000000..760814ef8
--- /dev/null
+++ b/source/l/python-zipp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-zipp: python-zipp (object wrapper for zip files)
+python-zipp:
+python-zipp: A pathlib-compatible Zipfile object wrapper. Official backport of the
+python-zipp: standard library Path object.
+python-zipp:
+python-zipp: Homepage: https://github.com/jaraco/zipp
+python-zipp:
+python-zipp:
+python-zipp:
+python-zipp:
+python-zipp:
diff --git a/source/l/python-zipp/zipp.url b/source/l/python-zipp/zipp.url
new file mode 100644
index 000000000..6ea748155
--- /dev/null
+++ b/source/l/python-zipp/zipp.url
@@ -0,0 +1 @@
+https://pypi.org/project/zipp